## Optionen für Ein- und Ausgabe

### Verwendung

Im Kommandodatei- oder im Sitzungsmodus können Sie Optionen zum Ermitteln von Versionsinformationen angeben.

in_output_options

-o[w|a] <file_name> | Name der Ausgabedatei
-cs <separator> | Angabe eines Kommandotrenners
-ps <number><string> | Angabe eines Ersetzungsparameters
-E <number> | Anzahl der maximal zulässigen Fehler

### Beispiele

Loader-Tutorial, Kommandodateimodus, Sitzungsmodus

### Erläuterung

#### -o[w|a] <file_name>

Wenn Sie im Kommandodateimodus arbeiten, können Sie mit dieser Option steuern, dass die Ausgaben des Loader in die angegebene Datei file_name geschrieben werden. Im Sitzungsmodus wird diese Option vom Loader nicht ausgewertet.

Vorschlagswert: Wenn Sie die Option nicht angeben, erfolgen die Ausgaben des Loader auf dem Bildschirm.

● Option –ow <file_name>
Die Datei wird zum Schreiben geöffnet und eventuell vorhandene Einträge werden gelöscht.

● Option –oa <file_name>
Die Datei wird zum Schreiben geöffnet und die Ausgaben werden an das Dateiende angehangen, ohne dass vorherige Einträge gelöscht werden.

Die Option bezieht sich ausschließlich auf die Ausgaben des Loader. Unabhängig davon schreibt der Loader noch eine Protokolldatei.

#### -cs <command_separator>

Mit dieser Option können Sie bestimmen, welche Zeichen vom Loader CLI als Kommandotrenner command_separator erkannt werden sollen. Durch einen Kommandotrenner wird ein Loader-Kommando abgeschlossen und kann vom Loader bearbeitet werden.

Ein Kommandotrenner darf mindestens ein, maximal zwei Zeichen enthalten.

● Kommandodateimodus
Vorschlagswert: Ein Kommando wird durch eine Zeile, an deren Zeilenanfang ein doppelter Schrägstrich // steht, abgeschlossen.

Wenn Sie mit der Option –cs einen Kommandotrenner festlegen, wird ein Kommando durch diesen Kommandotrenner abgeschlossen.

siehe auch: Syntaxregeln für Kommandodatei

● Sitzungsmodus
Vorschlagswert: Ein Kommando wird durch die Eingabe von ENTER abgeschlossen.
Um ein Kommando auf der Folgezeile fortzusetzen, erwartet der Loader CLI in diesem Fall am Ende der Zeile einen einfachen Schrägstrich (/).

Wenn Sie mit der Option –cs einen Kommandotrenner festlegen, wird ein Kommando durch diesen Kommandotrenner abgeschlossen.
Um ein Kommando auf der Folgezeile fortzusetzen, erwartet der Loader CLI in diesem Fall am Ende der Zeile ein ENTER.

Aufruf des Loader im Kommandodateimodus

loadercli -b command.dat -d demodb -u mona,red –cs ;

#### -ps <number> <substitution_value>

Mit dieser Option bestimmen Sie Werte für Platzhalter in der Kommandodatei. Der Wert number d efiniert die Nummern des zu ersetzenden Platzhalters in der Kommandodatei (1<=n<=9). Mittels substitution_value geben Sie den Wert an, der den Platzhalter ersetzen soll. Diese Werte können beliebige Zeichenketten sein.

Sie können 9 verschiedene Parameter (und damit Platzhalter) pro Kommandodatei festlegen. In der Kommandodatei geben Sie die Platzhalter in der Form &<number> ein.

#### -E <number>

Sie legen mit dieser Option fest, nach welcher Anzahl fehlerhaft ausgeführter Kommandos <number> der Loader die weitere Abarbeitung der Kommandodatei abbricht.

Aufruf des Loader im Kommandodateimodus

loadercli -b command.dat -d demodb -u mona,red –E 20

Der Loader stellt eine Verbindung zur Datenbankinstanz DEMODB für den Benutzer MONA her. Der Loader arbeitet die in der Kommandodatei command.dat enthaltenen Kommandos und SQL-Anweisungen ab. Wenn dabei Fehler (Returncode <> 0) auftreten, wird die Abarbeitung abgebrochen, sobald 20 Fehlermeldungen aufgetreten sind.